from cryoem.model.distribution cimport RealDistribution


cdef class IsoDiagonalMixture(RealDistribution):
    cdef:
        int _num_components
        double[::1] _variances, _weights
        double[:, ::1] _means


cdef class IsoDiagonalMixture3D(IsoDiagonalMixture):
    pass
